import { createFileRoute, lazyRouteComponent } from '@tanstack/react-router';

const PublicBookingConfirmationPage = lazyRouteComponent(
  () => import('@/features/public-booking/public-booking-confirmation-page'),
  'PublicBookingConfirmationPage'
);

export const Route = createFileRoute('/$complexSlug/booking/confirmed/$bookingCode')({
  component: RouteComponent,
});

function RouteComponent() {
  const { complexSlug, bookingCode } = Route.useParams();

  return <PublicBookingConfirmationPage complexSlug={complexSlug} bookingCode={bookingCode} />;
}
